Show / Hide Table of Contents

# Struct AddonPartyList.PartyListMemberStruct

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct PartyListMemberStruct

### Fields

| Improve this Doc View Source

#### CastingActionName

##### Declaration

    public AtkTextNode*CastingActionName

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CastingProgressBar

##### Declaration

    public AtkImageNode*CastingProgressBar

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### CastingProgressBarBackground

##### Declaration

    public AtkImageNode*CastingProgressBarBackground

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### ClassJobIcon

##### Declaration

    public AtkImageNode*ClassJobIcon

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### ClickFlash

##### Declaration

    public AtkNineGridNode*ClickFlash

##### Field Value

Type | Description
--- | ---
AtkNineGridNode* |

| Improve this Doc View Source

#### CollisionNode

##### Declaration

    public AtkCollisionNode*CollisionNode

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### EmnityBarContainer

##### Declaration

    public AtkResNode*EmnityBarContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### EmnityBarFill

##### Declaration

    public AtkNineGridNode*EmnityBarFill

##### Field Value

Type | Description
--- | ---
AtkNineGridNode* |

| Improve this Doc View Source

#### EmnityByte

##### Declaration

    public byte EmnityByte

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GroupSlotIndicator

##### Declaration

    public AtkTextNode*GroupSlotIndicator

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### HPGaugeBar

##### Declaration

    public AtkComponentGaugeBar*HPGaugeBar

##### Field Value

Type | Description
--- | ---
AtkComponentGaugeBar* |

| Improve this Doc View Source

#### HPGaugeComponent

##### Declaration

    public AtkComponentBase*HPGaugeComponent

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### IconBottomLeftText

##### Declaration

    public AtkTextNode*IconBottomLeftText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### MPGaugeBar

##### Declaration

    public AtkComponentGaugeBar*MPGaugeBar

##### Field Value

Type | Description
--- | ---
AtkComponentGaugeBar* |

| Improve this Doc View Source

#### Name

##### Declaration

    public AtkTextNode*Name

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### NameAndBarsContainer

##### Declaration

    public AtkResNode*NameAndBarsContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### PartyMemberComponent

##### Declaration

    public AtkComponentBase*PartyMemberComponent

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 256

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### StatusIcon

##### Declaration

    public AddonPartyList.PartyListMemberStruct.StatusIcons StatusIcon

##### Field Value

Type | Description
--- | ---
AddonPartyList.PartyListMemberStruct.StatusIcons |

| Improve this Doc View Source

#### TargetGlow

##### Declaration

    public AtkNineGridNode*TargetGlow

##### Field Value

Type | Description
--- | ---
AtkNineGridNode* |

| Improve this Doc View Source

#### TargetGlowContainer

##### Declaration

    public AtkResNode*TargetGlowContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### UnknownA8

##### Declaration

    public void *UnknownA8

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnknownB8

##### Declaration

    public void *UnknownB8

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnknownImageB0

##### Declaration

    public AtkImageNode*UnknownImageB0

##### Field Value

Type | Description
--- | ---
AtkImageNode* |